Bug 817347 - No root device in the grub2.cfg after kernel upgrade with an empty /etc/fstab
No root device in the grub2.cfg after kernel upgrade with an empty /etc/fstab
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-29 06:21 EDT by Peter Lemenkov
Modified: 2013-03-16 03:23 EDT (History)
5 users (show)

See Also:
Fixed In Version: grubby-8.23-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-16 03:23:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch which fixes this (1.06 KB, patch)
2013-02-14 12:46 EST, Peter Lemenkov
no flags Details | Diff
Fix empty root device in case of an empty /etc/fstab (1.06 KB, patch)
2013-02-19 00:28 EST, Peter Lemenkov
no flags Details | Diff
Suppress error message if /etc/fstab doesn't exists. (853 bytes, patch)
2013-02-19 00:29 EST, Peter Lemenkov
no flags Details | Diff

  None (edit)
Description Peter Lemenkov 2012-04-29 06:21:04 EDT
Hello.

My two systems doesn't have anything in /etc/fstab anymore (i killed all these entries in the favour of systemd-based mounts). Unfortunately after recent update they both failed to reboot complaining on missing root partition. After a quick check I found that instead of something like

linux   /vmlinuz-3.3.4-1.fc17.x86_64 root=UUID=468c16fc-abf1-41cd-9e30-79d94badb3c8 ro SYSFONT=latarcyrheb-sun16 LANG=ru_RU.UTF-8 KEYTABLE=us

They contained

linux   /vmlinuz-3.3.4-1.fc17.x86_64 root= ro SYSFONT=latarcyrheb-sun16 LANG=ru_RU.UTF-8 KEYTABLE=us

I copied proper root partition UUID from another entry and not it boots fine. What is even more strange is that grub2-mkconfig produces completely valid config - with proper UUID for rootfs so I'm not sure whether this bug is in grubby, dracut, or in grub2. Feel free to change component for this ticket if necessary
Comment 1 Peter Lemenkov 2013-02-14 12:46:52 EST
Created attachment 697317 [details]
Patch which fixes this

Ok, I've made a patch which fixes this. Could you please take a look?
Comment 2 Peter Lemenkov 2013-02-19 00:28:16 EST
Created attachment 699327 [details]
Fix empty root device in case of an empty /etc/fstab
Comment 3 Peter Lemenkov 2013-02-19 00:29:25 EST
Created attachment 699328 [details]
Suppress error message if /etc/fstab doesn't exists.

Another one patch for suppressing error message in case of a missing /etc/fstab

Note You need to log in before you can comment on or make changes to this bug.